""" JSR-170 NodeTypeManager interface, Level 1

$Id: node_type_manager.py 515 2005-07-11 18:00:47Z tseaver $
"""
from zope.interface import Interface
from zope.interface import Attribute

class INodeTypeManager(Interface):
    """
    """
    def getNodeType(nodeTypeName):
        """ Return the specified NodeType.
        
        o 'nodeTypeName' is a string identifying the desired NodeType.
        
        o Raise NoSuchNodeTypeException if no node type by that name is
          registered.
          
        o Raise RepositoryException if another error occurs.
        """
    def getAllNodeTypes():
        """ Return a sequence of all available node types, primary and mixin.
        
        o Raise RepositoryException if an error occurs.
        """
        
    def getPrimaryNodeTypes():
        """ Return a sequence of available primary node types.

        o Raise RepositoryException if an error occurs.
        """
        
    def getMixinNodeTypes():
        """ Return a sequence of available primary node types.

        o Raise RepositoryException if an error occurs.
        """

