""" JSR-170 QueryResult interface. Level 1

$Id: query_result.py 515 2005-07-11 18:00:47Z tseaver $
"""
from zope.interface import Interface

class IQueryResult(Interface):
    """ Represent the result of executing an IQuery.
    """
    def getColumnNames():
        """ Return a sequence of all the column names in the table view of
            this result set.
            
        o Raise RepositoryException if an error occurs.
        """

    def getRows():
        """ Return an iterator over the Rows of the result table.
        
        o If an ORDER BY clause was specified in the query, then the order
          of the returned rows in the iterator will reflect the order
          specified in that clause.
          
        o If no items match, return an empty iterator.

        o Iterator items implement IRow.
        
        o Raise RepositoryException if an error occurs.
        """

    def getNodes():
        """ Return an iterator over all nodes that match the query.
        
        o If an ORDER BY clause was specified in the query, then the order
          of the returned nodes in the iterator will reflect the order
          specified in that clause.
          
        o If no nodes match, return an empty iterator.
        
        o Raise RepositoryException if an error occurs.
        """

