""" JSR-170 Row interface. Level 1

$Id: row.py 515 2005-07-11 18:00:47Z tseaver $
"""
from zope.interface import Interface

class IRow(Interface):
    """ Represent a single row in the table-format of an IQueryResult.
    """
    def getValues():
        """ Return an array of all the values in the same order
            as the column names returned by QueryResult.getColumnNames().
        
        o Raise RepositoryException if an error occurs.
        """

    def getValue(propertyName):
        """ Return the value of the indicated property in this Row.
        
        o 'propertyName' is a string idenfying the desired property.

        o Raise ItemNotFoundException if 'propertyName' is not among the
          column names of the query result table.
          
        o Raise RepositoryException if another error occurs.
        """

