""" JSR-170 UUID conflict resolution enumeration, Level 2

$Id: import_uuid_behavior.py 514 2005-07-11 17:57:16Z tseaver $
"""

from zope.interface import Interface
from zope.interface import Attribute

class IImportUUIDBehavior(Interface):

    IMPORT_UUID_CREATE_NEW = Attribute(
        title=u'uuid.create_new',
        description=u"""Create new UUIDs for imported nodes.""",
        type=int,
        value=0,
        )

     IMPORT_UUID_COLLISION_REMOVE_EXISTING = Attribute(
        title=u'uuid.collision.remove_existing',
        description=u"""Remove existing nodes with UUIDs colliding with an
                        imported node. """,
        type=int,
        value=1,
        )

     IMPORT_UUID_COLLISION_REPLACE_EXISTING = Attribute(
        title=u'uuid.collision.replace_existing',
        description=u"""Replace existing nodes with UUIDs colliding with an
                        imported node.""",
        type=int,
        value=2,
        )

     IMPORT_UUID_COLLISION_THROW = Attribute(
        title=u'uuid.collision.throw',
        description=u"""Raise an exception for UUID collisions between
                        existing and imported nodes.""",
        type=int,
        value=3,
        )
