""" JSR-170 Property interface, Level 2

$Id: property.py 516 2005-07-11 18:08:28Z tseaver $
"""
from jsr170.level1 import IProperty as IPropertyLevel1

_MARKER = object()

class IProperty(IPropertyLevel1):
    """ Extend IPropertyLevel1 to allow writes.
    """
    def setValue(value=_MARKER, values=_MARKER):
        """ Set the value of this Property to the specified value.
        
        o The behavior of this methods is identical with the corresponding
          'Node.setProperty' signature.

        o One of 'value' or 'values', but not both, must be passed.

        o 'value', if passed, must be adatpatble to IValue.

        o 'values', if passed, must be a sequence of objects of the same type,
          each adaptable to IValue.
        """
