""" JSR-170 Query interface, Level 2

$Id: query.py 514 2005-07-11 17:57:16Z tseaver $
"""
from jsr170.level1 import IQuery as IQueryLevel1

class IQuery(IQueryLevel1):
    """ Extend IQueryLevel1 to allow writes.
    """
    def storeAsNode(absPath):
        """ Creates a node representing this Query in content.
        
        o Raise UnsupportedRepositoryOperationException In a level 1 repository.
        
        o In a level 2 repository, creates a node of type 'nt:query' at
          'absPath' and returns that node.
          
        o In order to persist the newly created node, a 'save' must be
          performed that includes the parent of this new node within its scope.
          
          In other words, either a 'Session.save' or an 'Item.save' on the
          parent or higher-degree ancestor of 'absPath' must be performed.
          
        o Raise RepositoryException if the provided 'absPath' has
          an index on its final element.  Strictly speaking, the parameter is
          actually a absolute path to the parent node of the node to be added,
          appended with the name desired for the new node. It does not specify
          a position within the child node ordering (if such ordering is
          supported). If ordering is supported by the node type of the
          parent node then the new node is appended to the end of the child
          node list.
          
        o Raise ItemExistsException either immediately (by this method),
          or on save, if an item at the specified path already exists
          and samename siblings are not allowed.  Implementations may differ
          on when this validation is performed.
          
        o Raise PathNotFoundException either immediately (by this method),
          or on save, if the specified path implies intermediary nodes that
          do not exist.  Implementations may differ on when this validation
          is performed.
          
        o Raise ConstraintViolationException either immediately (by this
          method), or on save, if adding the node would violate a node type
          or implementation-specific constraint or if an attempt is made to
          add a node as the child of a property. Implementations may differ
          on when this validation is performed.
          
        o Raise VersionException either immediately (by this method),
          or on save, if the node to which the new child is being added
          is versionable and checked-in or is non-versionable but its nearest
          versionable ancestor is checked-in. Implementations may differ on
          when this validation is performed.
          
        o Raise LockException either immediately (by this method), or on save,
          if a lock prevents the addition of the node.  Implementations may
          differ on when this validation is performed.
          
        o Raise RepositoryException if another error occurs.
    """
