""" JSR-170 ValueFactory interface, Level 2

$Id: value_factory.py 514 2005-07-11 17:57:16Z tseaver $
"""

from zope.interface import Interface

class IValueFactory(Interface):
    """ Abstract the construction of property values.
    """
    def createValue(value, type_name=None):
        """ Convert 'value' to an IValue of the appropriate type.

        o 'value' may be any Python object.

        o 'type_name', if passed, overrides the "guessed" type to create.

        o If 'value' is an INode, return a REFERENCE value.

        o If 'value' is an InputStream, return a BINARY value.

        o Map primitive types as follows:

          - 'int' -> INTEGER

          - 'float' -> DOUBLE

          - 'str', 'unicode' -> STRING

          - 'bool' -> BOOLEAN

          - 'datetime' -> DATE
        """
